LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08429Bug reports[All Projects] Otherpublic2013-12-05 15:472013-12-19 14:17
Reportermlarcelet 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.05+ 
Summary08429: {LANG} Attribute not updated when changing language on survey list page
DescriptionWhen changing the language on the survey list page, the {LANG} attribute is not updated and always return the default language of the survey.
Steps To Reproduce1. Edit a template
2. insert "TEST : {LANG}" in the survey list page
3. Go to survey list page, and change language. {LANG} is not updated.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID131202
BrowserChrome
Database & DB-VersionMySQL
Operating System (Server)Windows
Webserver software & versionApache
PHP Version5.2.17
Attached Files

- Relationships

-  Notes
User avatar (27504)
Nickko (updater)
2013-12-05 15:52

It's not juste a {LANG} problem, attribut xml:lang et lang on <html> tag aren't updated too.
User avatar (27506)
c_schmitz (administrator)
2013-12-05 16:01

I am sorry but I don't understand. Where do you change what and what does not appear to be right? Please explain in full detail wit according links. Thank you.
User avatar (27507)
Nickko (updater)
2013-12-05 16:13

I'm not the initial reporter ;-)
mlarcelet have very baldy reported the bug that he describe on the French forum.

You can see the problem on : http://survey.usability.fr/ [^]
Look 2sd line source code : <html xmlns="http://www.w3.org/1999/xhtml" [^] xml:lang="fr" lang="fr">

Change language with the dropdown and return in source code, language still unchanged.
User avatar (27512)
c_schmitz (administrator)
2013-12-06 09:12

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13542 [^]
User avatar (27513)
c_schmitz (administrator)
2013-12-06 09:12

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13543 [^]
User avatar (27514)
Nickko (updater)
2013-12-06 11:55

Thanks C_schmitz
User avatar (27515)
c_schmitz (administrator)
2013-12-06 21:22

2.00+ V131206 released.
User avatar (27550)
mlarcelet (reporter)
2013-12-11 18:04

Thanks a lot c_schmitz for fixing it.

I just realized that it is fixed but only for the index page :
http://imageshack.us/photo/my-images/600/roye.png/ [^]

But not in other pages (here : question page of a survey) :
http://imageshack.us/photo/my-images/826/4jkt.png/ [^]

As you can see on second screenshot xml:lang attribute is still set to "en" when changing language with the dropdown.
User avatar (27623)
c_schmitz (administrator)
2013-12-18 23:29

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13600 [^]
User avatar (27655)
c_schmitz (administrator)
2013-12-19 14:17

2.05+ Build 131219 released

- Related Changesets
LimeSurvey: master e26a73ef
Timestamp: 2013-12-06 08:12:53
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08429: {LANG} Attribute not updated when changing language on survey list page
mod - application/controllers/survey/index.php Diff ] File ]
LimeSurvey: 2.05 507fa955
Timestamp: 2013-12-06 08:13:11
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08429: {LANG} Attribute not updated when changing language on survey list page
mod - application/controllers/survey/index.php Diff ] File ]
LimeSurvey: master cc514b13
Timestamp: 2013-12-18 22:29:44
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08429: {LANG} Attribute not updated when changing language on survey list page
mod - application/helpers/common_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-05 15:47 mlarcelet New Issue
2013-12-05 15:52 Nickko Note Added: 27504
2013-12-05 16:01 c_schmitz Note Added: 27506
2013-12-05 16:01 c_schmitz Assigned To => c_schmitz
2013-12-05 16:01 c_schmitz Status new => feedback
2013-12-05 16:13 Nickko Note Added: 27507
2013-12-06 09:03 c_schmitz Status feedback => assigned
2013-12-06 09:12 c_schmitz Changeset attached => LimeSurvey master e26a73ef
2013-12-06 09:12 c_schmitz Note Added: 27512
2013-12-06 09:12 c_schmitz Resolution open => fixed
2013-12-06 09:12 c_schmitz Changeset attached => LimeSurvey 2.05 507fa955
2013-12-06 09:12 c_schmitz Note Added: 27513
2013-12-06 11:45 c_schmitz Status assigned => resolved
2013-12-06 11:45 c_schmitz Fixed in Version => 2.00+
2013-12-06 11:55 Nickko Note Added: 27514
2013-12-06 21:22 c_schmitz Note Added: 27515
2013-12-06 21:22 c_schmitz Status resolved => closed
2013-12-11 18:04 mlarcelet Note Added: 27550
2013-12-11 18:04 mlarcelet Status closed => feedback
2013-12-11 18:04 mlarcelet Resolution fixed => reopened
2013-12-18 23:29 c_schmitz Changeset attached => LimeSurvey master cc514b13
2013-12-18 23:29 c_schmitz Note Added: 27623
2013-12-18 23:29 c_schmitz Status feedback => resolved
2013-12-18 23:29 c_schmitz Fixed in Version 2.00+ => 2.05+
2013-12-18 23:29 c_schmitz Resolution reopened => fixed
2013-12-19 14:17 c_schmitz Note Added: 27655
2013-12-19 14:17 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker